function [Sw2, Swc2, Seg2] = Segmentacion2(j, Spp2, nm2)
%****Segmentación con Hamming Window****
%***Segmento***
Seg2 = zeros(1,nm2); % Vector que contendrá las muestras de cada SEGMENTO
l2 = (j*nm2+1)-nm2; % Variable que contiene el valor de la muestra en donde inicia cada nuevo segmento
for i = l2:(j*nm2)
Seg2((i+1)-l2) = Spp2(i); %Se necesita que el puntero de la posición del vector Seg (i-l+1) siempre inicie en 1
%*Normally-Windowed*
Sw2 = floor((Seg2.*round(16384.*hamming(nm2)'))/16384); % Enventanado (Hamming) para cada Segmento
%*Complementarily-Windowed*
Swc2 = floor((Seg2.*round(16384.*(1.08-hamming(nm2)')))/16384); % Enventanado (Hamming) Complemetaria para cada Segmento
end
end
